Add comment
curl --request POST \
--url https://neo.api.projectdiscovery.io/api/v1/issues/{id}/comments \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>",
"author": "<string>",
"metadata": {}
}
'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/issues/{id}/comments"
payload = {
"content": "<string>",
"author": "<string>",
"metadata": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>', author: '<string>', metadata: {}})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/issues/{id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"author": "<string>",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"issue_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>"
}Issues
Add comment
Add a comment to an issue.
POST
/
api
/
v1
/
issues
/
{id}
/
comments
Add comment
Path Parameters
Issue ID
Body
application/json
⌘I

